Author Topic: Couldn't create new event handler WxWidgets 2.8 in C::B IDE  (Read 2008 times)

Offline asd34

  • Multiple posting newcomer
  • *
  • Posts: 27
Couldn't create new event handler WxWidgets 2.8 in C::B IDE
« on: August 07, 2014, 08:09:27 am »
Dear All,

I experience a very weird problem, I use 2.8 wxWidgets in Code::Blocks(12.11) and when I try to add a new handler in any of the widgets that frame owns. the IDE produces the "Couldn't create new event handler ". It's not clear whether its due to C::B or wxWidgets but what could be the reason behind of it?

Regards,

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Couldn't create new event handler WxWidgets 2.8 in C::B IDE
« Reply #1 on: August 07, 2014, 12:24:59 pm »
Please try the actual release (13.12) or a nightly build.
What exact steps are necessary to reproduce the issue.
Which OS are you using, which revision of wxWidgets and which ompiler (and version) ?

Offline asd34

  • Multiple posting newcomer
  • *
  • Posts: 27
Re: Couldn't create new event handler WxWidgets 2.8 in C::B IDE
« Reply #2 on: August 07, 2014, 01:33:02 pm »
Quote
Please try the actual release (13.12) or a nightly build.
What exact steps are necessary to reproduce the issue.
Which OS are you using, which revision of wxWidgets and which ompiler (and version) ? 
Actually I don't know how to reproduce it when I tried to reopen one of my widget project it came up to be like that. I use 2.8.12 version of wxWidget and Winx64, GNU GCC 4.7.1 version.

I was %100 sure that it will work if I create new project for widgets and it happened to be like that. But problem becomes daunting if I have legacy huge project built where I can not start from scratch and if I have to stick to it. Heurisitically if there was a way to reset the *.cbp project without spoiling the rest of the files I think that can be solution.

Regards,